com.microfocus.awm.meta.modelextension

## Class ModelExtensionWithAttributes

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes

- All Implemented Interfaces:
    IModelExtensionWithAttributes
  Direct Known Subclasses:
    ComplexAttributeExtension, FunctionPackageExtension, ToolTypeParameter, ToolTypePart

      public abstract class ModelExtensionWithAttributes
      extends ModelExtensionObject
      implements IModelExtensionWithAttributes

  Part or component of a model extension which can contain attributes or complex attributes. Can also be the model extension itself.
  Author:
    Ralf Pakosch, Christelle Biahmou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelExtensionWithAttributes(java.lang.String pId, java.lang.String pLabel, FunctionPackageExtension pFunctionPackage)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<? extends SimpleModelExtensionAttribute>` | `getAllAttributes()` Gets a list of all model extension attributes.
    `java.util.List<AbstractModelExtensionAtribute>` | `getAllSimpleAttribues()` Gets all model attributes, including `ModelExtensionAttribute`s and `ModelExtensionReferenceAttribute`s.
    `java.util.List<ModelExtensionAttribute>` | `getAttributes()` Gets the attributes of this model component.
    `java.util.List<ComplexAttributeReference>` | `getComplexAttributeReferences()` Gets all complex attribute references of this model component.
    `java.util.List<ComplexAttributeExtension>` | `getComplexAttributes()` Gets the complex attribute of this model component.
    `java.util.List<ModelExtensionReferenceAttribute>` | `getReferenceAttributes()` Gets the reference attributes of this model component.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelExtensionWithAttributes

          public ModelExtensionWithAttributes(java.lang.String pId,
                                              java.lang.String pLabel,
                                              FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pId` - the component ID
        `pLabel` - the label
        `pFunctionPackage` - the defining function package

  - ### Method Detail

    - #### getComplexAttributes

          public java.util.List<ComplexAttributeExtension> getComplexAttributes()

      Gets the complex attribute of this model component.
      Returns:
        the complex attribute (can be empty)

    - #### getComplexAttributeReferences

          public java.util.List<ComplexAttributeReference> getComplexAttributeReferences()

      Gets all complex attribute references of this model component.
      Returns:
        the complex attribute reference (can be empty)

    - #### getAttributes

          public java.util.List<ModelExtensionAttribute> getAttributes()

      Gets the attributes of this model component.
      Returns:
        the attributes (can be empty)

    - #### getReferenceAttributes

          public java.util.List<ModelExtensionReferenceAttribute> getReferenceAttributes()

      Gets the reference attributes of this model component.
      Returns:
        the referenceAttributes (can be empty)

    - #### getAllSimpleAttribues

          public java.util.List<AbstractModelExtensionAtribute> getAllSimpleAttribues()

      Gets all model attributes, including `ModelExtensionAttribute`s and `ModelExtensionReferenceAttribute`s.
      Returns:
        a list of all model attributes

    - #### getAllAttributes

          public java.util.List<? extends SimpleModelExtensionAttribute> getAllAttributes()

      Description copied from interface: `IModelExtensionWithAttributes`
      Gets a list of all model extension attributes.
      Specified by:
        `getAllAttributes` in interface `IModelExtensionWithAttributes`
      Returns:
        the list of attributes (can be empty but must not be `null`)

Copyright © 2015 Micro Focus GmbH. All rights reserved.